/*
Copyright 2007, Google Inc.

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice, 
    this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.
 3. Neither the name of Google Inc. nor the names of its contributors may be
    used to endorse or promote products derived from this software without
    specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF 
ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

.inline-block {
  display: -moz-inline-box; /* This is ignored by FF3 and later*/
  display: inline-block; /* This is ignored by pre-FF3 Gecko */
  position: relative;
}

/*
Pre-IE7 IE hack.  On IE, "display: inline-block" only gives the element
layout, but doesn't give it inline behavior.  Subsequently setting display
to inline does the trick.
*/
* html .inline-block {
  display: inline;
}

/*
IE7-only hack.  On IE, "display: inline-block" only gives the element
layout, but doesn't give it inline behavior.  Subsequently setting display
to inline does the trick.
*/
*:first-child+html .inline-block {
  display: inline;
}


/* Custom button styles. */
.custom-button {
  margin: 0 2px;
  border: 0;
  padding: 0;
  font: bold 13px arial,sans-serif;
  background: #ddd url(button_bg.gif) repeat-x top left;
  text-decoration: none;
  list-style: none;
  vertical-align: middle;
  cursor: pointer;
  outline: none;
  -moz-outline: none;
  -moz-user-select: none;
}

/* Pseudo-rounded corners. */
.custom-button-outer-box {
  margin: 0;
  border-width: 1px 0;
  border-style: solid;
  border-color: #aaa;
  padding: 0;
  vertical-align: middle;
}

.custom-button-inner-box {
  margin: 0 -1px;
  border-width: 0 1px;
  border-style: solid;
  border-color: #aaa;
  padding: 3px 4px;
  vertical-align: middle;
  color:#222!important;
  text-decoration:none!important;
}

/* Pre-IE7 IE hack; ignored by IE7 and all non-IE browsers. */
* html .custom-button-inner-box {
  /* IE6 needs to have the box shifted to make the borders line up. */
  left: -1px;
}

/* IE7-only hack; ignored by all other browsers. */
*:first-child+html .custom-button-inner-box {
  /* IE7 needs to have the box shifted to make the borders line up. */
  left: -1px;
}

/* Safari-only hacks. */
::root .custom-button,
::root .custom-button-outer-box {
  /* Required to make pseudo-rounded corners work on Safari. */
  line-height: 0;
}

::root .custom-button-inner-box {
  /* Required to make pseudo-rounded corners work on Safari. */
  line-height: normal;
}

.custom-button-disabled * {
  color: #999 !important;
  border-color: #ccc !important;
}

.custom-button:hover .custom-button-outer-box,
.custom-button:hover .custom-button-inner-box {
  border-color: #9cf #69e #69e #7af;
}

/*
 TODO(aa): The :active psuedo-class doesn't work correctly in IE. Instead,
 you have to handle mousedown and mouseup and change the class manually
 if you want this. Leaving the code in so that I don't forget the colors.

.custom-button:active {
  background-color: #bbb !important;
  background-position: bottom left !important;
}
*/
